#1 unable to compile against Unicode version of wxGTK

closed
nobody
None
5
2006-10-19
2006-09-22
Wei Mingzhi
No

There will be a lot of errors when compiling against
the Unicode build of wxGTK.

As most of the current GNU/Linux distributions only
shippes with Unicode version, it would be nice if the
program can be compiled against the Unicode version.

A possible solution may be replacing all the STL
strings and C strings with wxString.

Discussion

  • Shixin Zeng

    Shixin Zeng - 2006-10-02

    Logged In: YES
    user_id=1143754

    Confirmed.

    Can't compile on Ubuntu 6.10 with libwxGtk-2.6-dev

     
  • 永不停机

    永不停机 - 2006-10-09

    Logged In: YES
    user_id=1575552

    OK,I Know,thanks.

     
  • Nobody/Anonymous

    Logged In: NO

    I think ,for the sake of performance, wxGTK under utf-8
    should not compile with unicode enable. utf-8 is multibyte
    but unicode isn't. the default wxGTK configure in linux is
    unicode disable.

     
  • 永不停机

    永不停机 - 2006-10-19
    • status: open --> closed
     

Log in to post a comment.